# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/amazon,al.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Amazon's Annapurna Labs Alpine Platform Device Tree Bindings

maintainers:
  - Hanna Hawa <hhhawa@amazon.com>
  - Talel Shenhar <talel@amazon.com>, <talelshenhar@gmail.com>
  - Ronen Krupnik <ronenk@amazon.com>

properties:
  compatible:
    oneOf:
      - description: Boards with Alpine V1 SoC
        items:
          - const: al,alpine

      - description: Boards with Alpine V2 SoC
        items:
          - enum:
              - al,alpine-v2-evp
          - const: al,alpine-v2

      - description: Boards with Alpine V3 SoC
        items:
          - enum:
              - amazon,al-alpine-v3-evp
          - const: amazon,al-alpine-v3

additionalProperties: true

...
